# Uses of Class
org.apache.wiki.api.exceptions.PluginException

Packages that use PluginException
Package
Description
org.apache.wiki.api.plugin
Plugin's API package of JSPWiki.

## Uses of PluginException in org.apache.wiki.api.plugin

Methods in org.apache.wiki.api.plugin that throw PluginException
Modifier and Type
Method
Description
`String`
Plugin.`execute(Context context, Map<String,String> params)`
This is the main entry point for any plugin.
`void`
PluginElement.`executeParse(Context context)`
Executes the executeParse() method.
`void`
InitializablePlugin.`initialize(Engine engine)`
Called whenever the plugin is being instantiated for the first time.